import Panel from "../../libs/new_wx/components/Panel";
import PanelCtrl from "../../libs/new_wx/ctrls/panelCtrl";

export default class Alert1Panel extends Panel {
    start() {//恭喜成长为巨树
        super.start();
    }

    initEvents() {
        super.initEvents();
    }

    onTouchTap_closeBtn() {
        this.hidePanel(true);
        setTimeout(() => {
            PanelCtrl.instance.show('Alert2')
        }, 100);
    }

    protected get closeBtns(): eui.Button[] { return [this['closeBtn'], this['closeBtn2']] }

    get skinKey(): string { return 'Alert1' }
}